---
layout: feature
title: Deploy to Google Cloud Platform
description: GKE integration for GitLab CI/CD spins up Kubernetes clusters for scalable app deployment on Google Cloud Platform.
suppress_header: true
extra_css:
  - gitlab-feature-landing-page.css
  - features.css
---

.wrapper.gitlab-ee-page
  = partial "includes/features/gitlab-ee-nav"
  .image-title
    .color-bg
      %div
        %h1 GitLab Google Kubernetes Engine integration
        %h3 Scalable app deployment in a few clicks
  .sub-wrapper
    .container
      .row.advantages
        .col-xs-1.col-md-1
        .col-xs-10.col-md-10
          %img{alt: "GitLab CI/CD", src: "/images/google-cloud-platform/gitlab-send-app-medium.png"}/
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 Scalable app deployment on Kubernetes made easy
          %p.overview
            :markdown
              [Kubernetes](/kubernetes/) is an open source project, originally created by Google, designed to automate deployment, scaling, and management of containerized applications.

              With the GitLab Google Kubernetes Engine integration you simply connect to your Google account via Oauth and spin up deployment environments in a few clicks. Kubernetes clusters are created for you on [Google Cloud Platform](https://cloud.google.com) (GCP) using the [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine/) (GKE). GKE is fully managed so developers can focus on building apps instead of managing infrastructure. It’s the easiest way to deploy your app using GitLab CI/CD.

            %a.btn.btn-red{ href: 'https://docs.gitlab.com/ee/user/project/clusters/index.html' }
              Get started

        .hidden-xs.hidden-sm.col-md-4
          %img.gke-image.hidden-xs{alt: "Kubernetes Engine logo", src: "/images/logos/google-kubernetes-engine.png"}/

      %hr.divider/

      .row
        .hidden-xs.hidden-sm.col-md-4
          .ee-feature-icon
            = icon("gitlab-icon")
        .col-xs-12.col-md-6.col-md-offset-1
          %h2  Auto DevOps, Deploy Boards, and more
          %p.overview
            :markdown
              GitLab CI/CD can deploy your app to anywhere, from bare metal to your favorite cloud platform. But, you’ll need a Kubernetes cluster to take advantage of advanced GitLab features like [Auto DevOps](/auto-devops), [Deploy Boards](https://docs.gitlab.com/ee/user/project/deploy_boards.html), and [Canary Deployments](https://docs.gitlab.com/ee/user/project/canary_deployments.html). You can connect GitLab to any Kubernetes cluster, but setting up and managing the cluster yourself takes time you’d otherwise spend building your app. With the GKE Integration we’ve made setting up Kubernetes simple. GitLab will create the cluster for you on Google Cloud Platform’s managed Kubernetes service: GKE. And because GKE uses the standard upstream Kubernetes source you can always port your applications to another platform without lock-in.
               
          %a.btn.btn-red{ href: 'https://docs.gitlab.com/ee/user/project/clusters/#what-you-can-get-with-the-kubernetes-integration' }
            Learn more
      %hr.divider/

      .row#redeem
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 Get up to $500 in free credit for Google Cloud Platform
          %p.overview
            :markdown
              Every new Google Cloud Platform account associated with your business email receives $300 in credit upon [sign up](https://console.cloud.google.com/freetrial?utm_campaign=2018_cpanel&utm_source=gitlab&utm_medium=referral). In partnership with Google, GitLab is able to offer an additional $200 for both new and existing GCP accounts to get started with GitLab’s GKE Integration.
              
          %a.btn.btn-lg.btn-red{ href: 'https://goo.gl/AaJzRW' }
            Redeem $200
        .hidden-xs.hidden-sm.col-md-4
          %img.gcp-image.hidden-xs{alt: "Google Cloud Platform logo", src: "/images/logos/google-cloud-platform.png"}/
        -# .col-md-4.col-md-offset-1.hidden-xs.hidden-sm
        -#   .ee-feature-icon
        -#     %img.hidden-xs{alt: "Google Cloud Platform logo", src: "/images/logos/google-cloud-platform.png"}/
      %hr.divider/

      .row
        .hidden-xs.hidden-sm.col-md-4
          %img.gitlab-raccoon-dog-image.hidden-xs{alt: "", src: "/images/logo.png"}/
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 Live demo from Google and GitLab
          %p
            :markdown
              In this webinar, Google’s William Denniss and GitLab’s William Chia give a walkthrough of the new Google Kubernetes Engine integration. You’ll learn how easy it is to set up a Kubernetes cluster, how to deploy your app using GitLab CI/CD, and how GKE enables you to deploy, update and manage containerized applications at scale.

          %a.btn.btn-red{ href: 'https://www.youtube.com/watch?v=uWC2QKv15mk' }
            Watch now
      %hr.divider/
      
      .row#install
        .col-xs-1.col-md-1
        .col-xs-10.col-md-10
          %img{alt: "GitLab CI/CD", src: "/images/google-cloud-platform/gcp-send-gitlab-medium.png"}/
        .col-xs-12.col-md-6.col-md-offset-1
          %h2 Install GitLab on Google Cloud Platform with a single click
          %p.overview
            :markdown
              Not only can you use GitLab to deploy your software to to GKE, but you can run GitLab itself on your GKE cluster. GitLab is proud to be featured on the GCP Marketplace where you can install with a just single click. It's the easiest way to install GitLab. 
              
              Our GCP Marketplace app takes advantage of the [GitLab Helm Chart](https://docs.gitlab.com/ee/install/kubernetes/gitlab_chart.html), so the GCP Marketplace is always up-to-date with the latest version of GitLab. And, since GitLab is running on [Kubernetes](/kubernetes) you get all the scale and stability advantages that come with it.
              
          %a.btn.btn-red{ href: 'https://console.cloud.google.com/marketplace/details/gitlab-public/gitlab?filter=solution-type:k8s' }
            Install GitLab on GKE
        .hidden-xs.hidden-sm.col-md-4
          %img.gke-image.hidden-xs{alt: "Kubernetes Engine logo", src: "/images/logos/google-kubernetes-engine.png"}/

      %hr.divider/
